Typedefs | Functions

# xml-tree.h File Reference

`#include <wizard/exception.h>`

Go to the source code of this file.

## Typedefs
typedef struct _XMLTreeInfo | XMLTreeInfo
## Functions
WizardExport char * | CanonicalXMLContent (const char *, const WizardBooleanType)
WizardExport char ** | XMLTreeInfoToXML (XMLTreeInfo *)
WizardExport const char * | GetXMLTreeAttribute (XMLTreeInfo *, const char *)
WizardExport const char ** | GetXMLTreeContent (XMLTreeInfo *)
WizardExport const char **** | GetXMLTreeProcessingInstructions (XMLTreeInfo *, const char *)
WizardExport const char ***** | GetXMLTreeTag (XMLTreeInfo *)
WizardExport XMLTreeInfo * | AddChildToXMLTree (XMLTreeInfo *, const char *, const size_t)
WizardExport XMLTreeInfo ** | AddPathToXMLTree (XMLTreeInfo *, const char *, const size_t)
WizardExport XMLTreeInfo *** | DestroyXMLTree (XMLTreeInfo *)
WizardExport XMLTreeInfo **** | GetNextXMLTreeTag (XMLTreeInfo *)
WizardExport XMLTreeInfo ***** | GetXMLTreeChild (XMLTreeInfo *, const char *)
WizardExport XMLTreeInfo ****** | GetXMLTreeOrdered (XMLTreeInfo *)
WizardExport XMLTreeInfo ******* | GetXMLTreePath (XMLTreeInfo *, const char *)
WizardExport XMLTreeInfo ******** | GetXMLTreeSibling (XMLTreeInfo *)
WizardExport XMLTreeInfo ********* | InsertTagIntoXMLTree (XMLTreeInfo *, XMLTreeInfo *, const size_t)
WizardExport XMLTreeInfo ********** | NewXMLTree (const char *, ExceptionInfo *)
WizardExport XMLTreeInfo *********** | NewXMLTreeTag (const char *)
WizardExport XMLTreeInfo ************ | PruneTagFromXMLTree (XMLTreeInfo *)
WizardExport XMLTreeInfo ************* | SetXMLTreeAttribute (XMLTreeInfo *, const char *, const char *)
WizardExport XMLTreeInfo ************** | SetXMLTreeContent (XMLTreeInfo *, const char *)

## Typedef Documentation

typedef struct _XMLTreeInfo XMLTreeInfo

## Function Documentation

WizardExport XMLTreeInfo* AddChildToXMLTree | ( | XMLTreeInfo * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

WizardExport XMLTreeInfo* * AddPathToXMLTree | ( | XMLTreeInfo * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

WizardExport char* CanonicalXMLContent | ( | const char * | ,
|  | const | WizardBooleanType |
| ) |  |  |

WizardExport XMLTreeInfo* * * DestroyXMLTree | ( | XMLTreeInfo * |  | ) |

WizardExport XMLTreeInfo* * * * GetNextXMLTreeTag | ( | XMLTreeInfo * |  | ) |

WizardExport const char* GetXMLTreeAttribute | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

WizardExport XMLTreeInfo* * * * * GetXMLTreeChild | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

WizardExport const char* * GetXMLTreeContent | ( | XMLTreeInfo * |  | ) |

WizardExport XMLTreeInfo* * * * * * GetXMLTreeOrdered | ( | XMLTreeInfo * |  | ) |

WizardExport XMLTreeInfo* * * * * * * GetXMLTreePath | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

WizardExport const char* * ** GetXMLTreeProcessingInstructions | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

WizardExport XMLTreeInfo* * * * * * * * GetXMLTreeSibling | ( | XMLTreeInfo * |  | ) |

WizardExport const char* * ** * GetXMLTreeTag | ( | XMLTreeInfo * |  | ) |

References GetWizardModule, LogWizardEvent(), ResourceDomain, _XMLTreeInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

WizardExport XMLTreeInfo* * * * * * * * * InsertTagIntoXMLTree | ( | XMLTreeInfo * | ,
|  | XMLTreeInfo * | ,
|  | const | size_t |
| ) |  |  |

WizardExport XMLTreeInfo* * * * * * * * * * NewXMLTree | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport XMLTreeInfo* * * * * * * * * * * NewXMLTreeTag | ( | const char * |  | ) |

WizardExport XMLTreeInfo* * * * * * * * * * * * PruneTagFromXMLTree | ( | XMLTreeInfo * |  | ) |

WizardExport XMLTreeInfo* * * * * * * * * * * * * SetXMLTreeAttribute | ( | XMLTreeInfo * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

WizardExport XMLTreeInfo* * * * * * * * * * * * * * SetXMLTreeContent | ( | XMLTreeInfo * | ,
|  | const char * |  |
| ) |  |  |

References ConstantString(), DestroyString(), GetWizardModule, LogWizardEvent(), ResourceDomain, _XMLTreeInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

WizardExport char* * XMLTreeInfoToXML | ( | XMLTreeInfo * |  | ) |

References AcquireString(), _XMLTreeRoot::attributes, FormatWizardString(), GetWizardModule, LogWizardEvent(), _XMLTreeInfo::ordered, _XMLTreeInfo::parent, _XMLTreeRoot::processing_instructions, ResizeQuantumMemory(), ResourceDomain, _XMLTreeRoot::root, _XMLTreeInfo::signature, TraceEvent, WizardAssert, WizardSignature, and XMLTreeTagToXML().